//Copyright 2022 JerryLive
//Handles the Player.

using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class PlayerScript : MonoBehaviour
{

//Get input from Player every frame and give it to the FlyerScript.
//Force has a range 0 to +1f, W key only.
//Torque has a range -1f to +1f, AD keys.

//reference.
	public FlyerScript FS;

//Every Frame.
	private void Update()
	{
		if (Global.DoNotRun)
			return;
	//W key moves the Player Forward.
		FS.FlyerForce = Mathf.Max(Input.GetAxis("Vertical"), 0f);
	//AD keys rotate the Player Left/Right.
		FS.FlyerTorque = Input.GetAxis("Horizontal");
	//Spacebar fires a missle.
		if (Input.GetKeyDown(KeyCode.Space))
 			FS.FireMissle();
	}

}
